Loading...
Searching...
No Matches
Dune::Simd::Overloads::ScalarType< V, class > Struct Template Reference
Common » Vectorization » Abstraction Developer's Interface

should have a member type `type` More...

`#include <dune/common/simd/standard.hh>`

Inheritance diagram for Dune::Simd::Overloads::ScalarType< V, class >:

## Public Types

using | type = V

## Detailed Description

template<class V, class>
struct Dune::Simd::Overloads::ScalarType< V, class >

should have a member type `type`

Implements Simd::Scalar. V will never have cv or reference qualifiers, no need to strip those.

Implements Simd::Scalar

## Member Typedef Documentation

## type

template<class V, class>

using Dune::Simd::Overloads::ScalarType< V, class >::type = V

The documentation for this struct was generated from the following files:

- base.hh
- standard.hh